Get the named credential with the given id

get

https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/namedCredentials/{namedCredentialId}

Returns Named Credential details like Name, Description, Owner, Target Type, Target Name, etc.

Request

Path Parameters
Query Parameters

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Named credentials returned successfully
Body ()
Root Schema : NamedCredential
Type: object
Schema object to hold Named Credential data to return on post operation
Show Source
Match All
Schema object to hold Named Credential data to return on post operation
Show Source
Nested Schema : attributes
Type: object
Additional Properties Allowed
Show Source
Represents a map of name-value for the attributes for the named credential
Nested Schema : credMapping
Type: object
Additional Properties Allowed
Show Source
Mapping of credential provider to the attributes required by the credential type
Nested Schema : NamedCredentialCommon
Type: object
Common properties for a Named Credential
Show Source
Examples

401 Response

Client is not authenticated
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : details
Type: array
(Optional) List of additional details for the errors found.
Show Source
Nested Schema : ErrorDetail
Type: object
listed as part of ErrorResponse
Show Source

404 Response

Resource not found or not authorized for access
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : details
Type: array
(Optional) List of additional details for the errors found.
Show Source
Nested Schema : ErrorDetail
Type: object
listed as part of ErrorResponse
Show Source

500 Response

Internal Server Error
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : details
Type: array
(Optional) List of additional details for the errors found.
Show Source
Nested Schema : ErrorDetail
Type: object
listed as part of ErrorResponse
Show Source

503 Response

Indicates that a required service is not available
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : details
Type: array
(Optional) List of additional details for the errors found.
Show Source
Nested Schema : ErrorDetail
Type: object
listed as part of ErrorResponse
Show Source
Back to Top